function p = predict(Theta1, Theta2, X)

%   PREDICT Predict the label of an input given a trained neural network
%   p = PREDICT(Theta1, Theta2, X) outputs the predicted label of X given the
%   trained weights of a neural network (Theta1, Theta2)
%   Instructions: Complete the following code to make predictions using
%               your learned neural network. You should set p to a 
%               vector containing labels between 1 to num_labels.

X = [ones(size(X, 1), 1) X]; % (m , n+1)
A_2 = sigmoid(Theta1*X'); % (n1 , m)

A_2 = [ones(size(A_2',1), 1) A_2']; % (m , n1+1)
A_3 = sigmoid(Theta2*A_2'); % (n2 , m)

[~ , p] = max(A_3, [], 1);
p = p';

end
